<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        .carousel {
            position: relative;
            height: 400px;
            width: 750px;
        }
        
        .slides {
            height: 100%;
            width: 100%;
            position: relative;
        }
        
        .slide {
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            font-size: 3em;
            color: white;
            line-height: 400px;
            text-align: center;
            opacity: 0;
            transition: opacity 1000ms;
        }
        
        .slide:nth-child(1) {
            background-color: red;
            opacity: 1;
        }
        
        .slide:nth-child(2) {
            background-color: green;
        }
        
        .slide:nth-child(3) {
            background-color: blue;
        }
        
        .slide[data-state=active] {
            display: block;
        }
        
        .indicators {
            position: absolute;
            bottom: 20px;
            right: 20px;
        }
        
        .indicator {
            cursor: pointer;
            display: inline-block;
            background-color:red;
            position: relative;
            visibility: hidden;
        }
        
        .indicator::after {
            content: "";
            visibility: visible;
            display: block;
            width: 10px;
            height: 10px;
            cursor: pointer;
            position: absolute;
            display: inline-block;
            background-color:gold;
            border-radius: 50%;
        }
        .indicator[data-state='active']:after {
            content: "";
            visibility: visible;
            display: block;
            width: 10px;
            height: 10px;
            cursor: pointer;
            position: absolute;
            display: inline-block;
            background-color:blueviolet;
            border-radius: 50%;
        }
        .listItems li a[data-state='active']{
            color: green;
        }
    </style>
</head>
<body>
    <div id="carousel" class="carousel">
        <div class="slides">
            <div class="slide" data-s-item="1" data-state="active">Slide 1</div>
            <div class="slide" data-s-item="2">Slide 2</div>
            <div class="slide" data-s-item="3">Slide 3</div>
        </div>
        <div class="indicators">
            <input class="indicator" name="indicator" data-slide="1" data-state="active" checked type="radio" />
            <input class="indicator" name="indicator" data-slide="2" type="radio" />
            <input class="indicator" name="indicator" data-slide="3" type="radio" />
        </div>
        
        <ul class="listItems">
            <li><a href="" data-item="1" data-state="active">Item</a></li>
            <li><a href="" data-item="2" >Item</a></li>
            <li><a href="" data-item="3" >Item</a></li>
        </ul>
    </div>
    
    <script>
        
        var carousel = document.getElementById('carousel');
        var speed    = 6000; // 5 seconds
        var lis      = document.querySelectorAll('indicators input');
        var links    = document.querySelectorAll('.listItems li a');
        var count    = lis.length;
        var slides   = count;

        function carouselHide(num) {
            indicators[num].setAttribute('data-state', '');
            slides[num].setAttribute('data-state', '');
            links[num].setAttribute('data-state', '');
            slides[num].style.opacity=0;
        }
        
        [].forEach.call(
            document.querySelectorAll('.listItems li a'),
            function (el) {
                console.log(el.getAttribute('data-item'));
                el.addEventListener('click', function(e){
                    e.preventDefault();

                    let indicador = this.getAttribute('data-item');
                    console.log(indicador);
                    
                    [].forEach.call(
                        document.querySelectorAll('.listItems li a'),
                        function (el) {
                            el.setAttribute('data-state', '');
                        }
                    );
                    [].forEach.call(
                        document.querySelectorAll('.slide'),
                        function (el) {
                            el.setAttribute('data-state', '');
                            el.style.opacity=0;
                            console.log(el);
                        }
                    );

                    [].forEach.call(
                        document.querySelectorAll('.indicator'),
                        function (el) {
                            el.setAttribute('data-state', '');
                            //el.style.opacity=0;
                            console.log(el);
                        }
                    );
                    
                    this.setAttribute('data-state', 'active');
                    document.querySelector("[data-s-item='"+indicador+"']").setAttribute('data-state', 'active');
                    document.querySelector("[data-slide='"+indicador+"']").setAttribute('data-state', 'active');
                    document.querySelector("[data-s-item='"+indicador+"']").style.opacity=1;
                    
                });
            }
        );

        function carouselShow(num) {
            indicators[num].checked = true;
            indicators[num].setAttribute('data-state', 'active');
            slides[num].setAttribute('data-state', 'active');
            links[num].setAttribute('data-state', 'active');
            slides[num].style.opacity=1;
        }
        
         

        function setSlide(slide) {
            return function() {
                // Reset all slides
                for (var i = 0; i < indicators.length; i++) {
                    indicators[i].setAttribute('data-state', '');
                    slides[i].setAttribute('data-state', '');
                    
                    carouselHide(i);
                }
                
                // Set defined slide as active
                indicators[slide].setAttribute('data-state', 'active');
                slides[slide].setAttribute('data-state', 'active');
                carouselShow(slide);
                
                // Stop the auto-switcher
                clearInterval(switcher);
            };
        }
        
        function switchSlide() {
            var nextSlide = 0;
            
            // Reset all slides
            for (var i = 0; i < indicators.length; i++) {
                // If current slide is active & NOT equal to last slide then increment nextSlide
                if ((indicators[i].getAttribute('data-state') == 'active') && (i !== (indicators.length-1))) {
                    nextSlide = i + 1;
                }
                
                // Remove all active states & hide
                carouselHide(i);
            }
            
            // Set next slide as active & show the next slide
            carouselShow(nextSlide);
        }
        
        if (carousel) {
            var slides = carousel.querySelectorAll('.slide');
            var indicators = carousel.querySelectorAll('.indicator');
            
            var switcher = setInterval(function() {
                switchSlide();
            }, speed);
            
            for (var i = 0; i < indicators.length; i++) {
                indicators[i].addEventListener("click", setSlide(i));
            }
        }
    </script>
</body>
</html>